Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Reflection service broken
Description

Since r3183 FLOW3s reflection service seems to be broken.
in F3\FLOW3\Reflection\Service::reflectEmergedClasses() we iterate through registered classes and call buildClassSchemata() for all
classes tagged as entity or valueobject.
The problem isClassTaggedWith($className, 'entity') will always return FALSE cause the Service is not initalized at that time.

Associated revisions
Revision c0c1a84a - 2009-09-17 11:24 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Reflection): Class schemata are now really built when needed, fixes #4666.

History
#1 - 2009-09-17 10:34 - Karsten Dambekalns
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 5

#2 - 2009-09-17 12:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3191.

2015-08-03 1/1


